Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Importieren von AutoCAD Profil

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Importieren von AutoCAD Profil (1658 mal gelesen)
Ralf-CAD-Support
Mitglied
Techniker


Sehen Sie sich das Profil von Ralf-CAD-Support an!   Senden Sie eine Private Message an Ralf-CAD-Support  Schreiben Sie einen Gästebucheintrag für Ralf-CAD-Support

Beiträge: 47
Registriert: 09.03.2007

PrDSU/FDSU 2016 und PSP 2011, Vault Prof. 2016

erstellt am: 13. Feb. 2012 21:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,
für den Import von einen Profil finde ich mehrere Möglichkeiten, welche sollte bevorzugt werden?
Leider finde ich keine aussagekräftige Texte im Netz, daher wäre ich über eine Hilfestellung sehr dankbar!

Möglichkeit über vlax-invoke-method
(setq acadprofiles (vla-get-profiles (vla-get-preferences (vlax-get-Acad-Object))))
(vlax-invoke-method acadprofiles 'ImportProfile "<<ACADMPP>>" "acadmpp_company.arg" :vlax-true)

Möglichkeit vla-importprofile
(vla-importprofile (vla-get-profiles (vla-get-preferences (vlax-get-acad-object))) "<<ACADMPP>>" "acadmpp_company.arg" :vlax-true)

Kann die Aussage dann auch auf die Funktionen zum löschen und setzen von Profilen verwendet werden?

Viele Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 13. Feb. 2012 22:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ralf-CAD-Support 10 Unities + Antwort hilfreich

Beide Möglichkeiten sind Schreibweisen für den Interpreter für die gleiche ActiveX-Methode .... ist also egal.

Setzen und löschen von Profilen sollte funktionieren. Beim Importieren von Mechanical-profilen traten bei mir früher immer Fehler auf. Seitdem hab ich das nicht mehr verfolgt.

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ralf-CAD-Support
Mitglied
Techniker


Sehen Sie sich das Profil von Ralf-CAD-Support an!   Senden Sie eine Private Message an Ralf-CAD-Support  Schreiben Sie einen Gästebucheintrag für Ralf-CAD-Support

Beiträge: 47
Registriert: 09.03.2007

PrDSU/FDSU 2016 und PSP 2011, Vault Prof. 2016

erstellt am: 15. Feb. 2012 17:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

vielen Dank für die Info.

Spannend ist es unter 2012 in Verbindung mit den PD Suites

Grüße Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz